package com.example.wholeestate.controller;


import com.example.wholeestate.common.base.BaseController;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.dao.EncyclopediaMapper;
import com.example.wholeestate.model.Encyclopedia;
import com.example.wholeestate.service.IEncyclopediaService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-03-27
 */
@RestController
@RequestMapping("/")
@Api(value = "百科全书", description = "百科全书")
public class EncyclopediaController extends BaseController {

    @Autowired
    private IEncyclopediaService iEncyclopediaService;

    @RequestMapping(value = "/encyclopedia/list", method = RequestMethod.GET)
    @ApiOperation(value = "获取所有数据")
    private ResponseBean getList() {
        ResponseBean responseBean = new ResponseBean();
        List<Encyclopedia> encyclopediaList = iEncyclopediaService.list();
        responseBean.addSuccess(encyclopediaList);
        return responseBean;
    }

}
