package com.example.wholeestate.controller;


import com.example.wholeestate.common.base.BaseController;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.EncyclopediaType;
import com.example.wholeestate.service.IEncyclopediaTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-03-27
 */
@RestController
@RequestMapping("/")
@Api(value = "百科全书类型", description = "百科全书类型")
public class EncyclopediaTypeController extends BaseController {

    @Autowired
    private IEncyclopediaTypeService iEncyclopediaTypeService;

    @RequestMapping(value = "/encyclopedia/type/list", method = RequestMethod.GET)
    @ApiOperation(value = "获取所有数据")
    private ResponseBean getList() {
        ResponseBean responseBean = new ResponseBean();
        List<EncyclopediaType> encyclopediaList = iEncyclopediaTypeService.list();
        responseBean.addSuccess(encyclopediaList);
        return responseBean;
    }

}
